package com.yihu.wlyy.analysis.etl;

import com.yihu.wlyy.analysis.model.DataModel;
import com.yihu.wlyy.analysis.model.emun.BusinessType;
import org.json.JSONObject;

/**
 * 日志信息提取分析
 * <p>
 * Created by lyr-pc on 2017/2/17.
 */
public interface ILogTransform {

    /**
     * 日志信息提取分析
     *
     * @param log
     */
    void transform(JSONObject log);

    /**
     * 获取日志类型
     *
     * @return
     */
    int getLogType();

    /**
     * 获取日志类型名称
     *
     * @return
     */
    String getLogTypeName();
}
